# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Pod-Coverage-TrustMe
Version:	0.002000
Release:	1.%{__distinit}%{__distvers}
Summary:	Pod::Coverage but more powerful
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Pod-Coverage-TrustMe
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Coverage-TrustMe-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Pod::Simple)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Script Runtime
BuildRequires:	perl(File::Find)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Pod::Usage)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Needs)
BuildRequires:	perl(vars)
# Optional Tests
BuildRequires:	perl(Moo)
# Extra Tests
#BuildRequires:	perl(Encode)
#BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Checks that all of the functions or methods provided by a package have
documentation. Compatible with most uses of Pod::Coverage, but with additional
features.

%prep
%setup -q -n Pod-Coverage-TrustMe-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license LICENSE
%doc Changes README
%{_bindir}/pod-cover-trustme
%{perl_vendorlib}/Pod/
%{perl_vendorlib}/Test/
%{_mandir}/man1/pod-cover-trustme.1*
%{_mandir}/man3/Pod::Coverage::TrustMe.3*
%{_mandir}/man3/Pod::Coverage::TrustMe::Parser.3*
%{_mandir}/man3/Test::Pod::Coverage::TrustMe.3*

%changelog
* Fri Feb 23 2024 Paul Howarth <paul@city-fan.org> - 0.002000-1
- Initial RPM version
